Bug 863670 - ValueError: ('invalid size specification', '-186.0 mb')
Summary: ValueError: ('invalid size specification', '-186.0 mb')
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:58f7e8d5dca6d46f17179921111...
: 865197 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-06 14:22 UTC by efreeti
Modified: 2014-02-05 12:29 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 12:29:00 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (295.76 KB, text/plain)
2012-10-06 14:22 UTC, efreeti
no flags Details
File: product (6 bytes, text/plain)
2012-10-06 14:22 UTC, efreeti
no flags Details
File: type (9 bytes, text/plain)
2012-10-06 14:22 UTC, efreeti
no flags Details
File: ifcfg.log (631 bytes, text/plain)
2012-10-06 14:22 UTC, efreeti
no flags Details
File: storage.log (102.00 KB, text/plain)
2012-10-06 14:22 UTC, efreeti
no flags Details
File: version (11 bytes, text/plain)
2012-10-06 14:22 UTC, efreeti
no flags Details
File: environ (761 bytes, text/plain)
2012-10-06 14:22 UTC, efreeti
no flags Details
File: anaconda.log (2.37 KB, text/plain)
2012-10-06 14:22 UTC, efreeti
no flags Details
File: syslog (107.80 KB, text/plain)
2012-10-06 14:22 UTC, efreeti
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-06 14:22 UTC, efreeti
no flags Details
File: packaging.log (2.32 KB, text/plain)
2012-10-06 14:22 UTC, efreeti
no flags Details
File: cmdline_file (110 bytes, text/plain)
2012-10-06 14:22 UTC, efreeti
no flags Details
File: release (24 bytes, text/plain)
2012-10-06 14:22 UTC, efreeti
no flags Details
File: program.log (46.93 KB, text/plain)
2012-10-06 14:22 UTC, efreeti
no flags Details
[18.26 log anaconda-tb-rXLBiG] ValueError: ('invalid size specification', '-0.4 mb') (890.78 KB, text/plain)
2012-11-07 04:42 UTC, Steve Tyler
no flags Details

Description efreeti 2012-10-06 14:22:08 UTC
Description of problem:
Description of Problem:
Dual boot Installation of F18 beta TC2 did not finish successfully. 

I have an allocated empty partition to install this pre release from dvd iso. At the installation stage the progress bar filled to the end indicating all packages were installed. Possibly among others, after "installing bootloader", installation hanged at "Configuring installed system" and won't respond for more than half an hour. I didn't think this is normal behaviour, force shut and attempt retry installation. Error popped out after clicked "reclaiming space". Guess my partition was corrupted again.


Version-Release number of selected component:
anaconda-18.12

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.0-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.12 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/size.py", line 79, in _parseSpec
:    raise ValueError("invalid size specification", spec)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/size.py", line 137, in __new__
:    self = Decimal.__new__(cls, value=_parseSpec(spec))
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 55, in size_str
:    return str(Size(spec=spec)).upper()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 128, in populate
:    _("%s of %s") % (size_str(freeSize), size_str(dev.size)),
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 160, in refresh
:    self.populate(disks)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 592, in on_continue_clicked
:    resizeDialog.refresh(disks)
:ValueError: ('invalid size specification', '-186.0 mb')

Comment 1 efreeti 2012-10-06 14:22:13 UTC
Created attachment 622719 [details]
File: anaconda-tb

Comment 2 efreeti 2012-10-06 14:22:15 UTC
Created attachment 622720 [details]
File: product

Comment 3 efreeti 2012-10-06 14:22:17 UTC
Created attachment 622721 [details]
File: type

Comment 4 efreeti 2012-10-06 14:22:19 UTC
Created attachment 622722 [details]
File: ifcfg.log

Comment 5 efreeti 2012-10-06 14:22:21 UTC
Created attachment 622723 [details]
File: storage.log

Comment 6 efreeti 2012-10-06 14:22:24 UTC
Created attachment 622724 [details]
File: version

Comment 7 efreeti 2012-10-06 14:22:26 UTC
Created attachment 622725 [details]
File: environ

Comment 8 efreeti 2012-10-06 14:22:28 UTC
Created attachment 622726 [details]
File: anaconda.log

Comment 9 efreeti 2012-10-06 14:22:30 UTC
Created attachment 622727 [details]
File: syslog

Comment 10 efreeti 2012-10-06 14:22:32 UTC
Created attachment 622728 [details]
File: hashmarkername

Comment 11 efreeti 2012-10-06 14:22:35 UTC
Created attachment 622729 [details]
File: packaging.log

Comment 12 efreeti 2012-10-06 14:22:37 UTC
Created attachment 622730 [details]
File: cmdline_file

Comment 13 efreeti 2012-10-06 14:22:39 UTC
Created attachment 622731 [details]
File: release

Comment 14 efreeti 2012-10-06 14:22:41 UTC
Created attachment 622732 [details]
File: program.log

Comment 15 efreeti 2012-10-06 14:30:52 UTC
Sorry, I have additional information. The installation was not corrupted. As soon as I attempted to boot from local drive the F18 apparently was installed and boot normally and asked for new user creation.

It seems this bug was only that installation hangs at the end and did not eject dvd gracefully to reboot, leaving me no choice but to forcefully shut down.

Comment 16 Chris Lumens 2012-10-11 02:15:29 UTC
*** Bug 865197 has been marked as a duplicate of this bug. ***

Comment 17 Brian Lane 2012-11-01 19:12:03 UTC
partitioning 2 disks with previous autopart install on them, using custom live with anaconda 18.22-1

Package: anaconda-18.22-1.fc18.x86_64
OS Release: Fedora release 18

Comment 18 Adam Williamson 2012-11-01 19:24:35 UTC
the hang-at-the-end-of-install that efreeti encountered was the known bug 862801 which we fixed a while back, but obviously, anaconda failing to correctly interpret a disk it laid out itself looks like a problem. To me this looks rather similar to https://bugzilla.redhat.com/show_bug.cgi?id=866115 , which was a similar issue for 'b' / 'B'. Proposing as a blocker, as this seems to have affected at least three configurations.

Comment 19 Adam Williamson 2012-11-05 18:04:48 UTC
Discussed at 2012-11-05 QA meeting acting as a blocker review meeting. We were worried about several similar-looking bugs here, but dlehman believes they are several separate bugs and most of them are fixed. The case efreeti hit may well be fixed by now. bcl's may not be, but without logs from that case he cannot really fix it. In general, we don't think this is likely to be common enough with 18.22+ to merit blocker status. We can re-visit this decision if more cases emerge.

Comment 20 Steve Tyler 2012-11-07 04:42:36 UTC
Created attachment 639791 [details]
[18.26 log anaconda-tb-rXLBiG] ValueError: ('invalid size specification', '-0.4 mb')

anaconda 18.26 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/size.py", line 79, in _parseSpec
    raise ValueError("invalid size specification", spec)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/size.py", line 137, in __new__
    self = Decimal.__new__(cls, value=_parseSpec(spec))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 54, in size_str
    return str(Size(spec=spec)).upper()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 140, in populate
    _("%s of %s") % (size_str(freeSize), size_str(dev.size)),
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 186, in refresh
    self.populate(disks)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 734, in on_continue_clicked
    resizeDialog.refresh(disks)
ValueError: ('invalid size specification', '-0.4 mb')

Local variables in innermost frame:
m: None
spec: -0.4 mb

Comment 21 Steve Tyler 2012-11-07 05:19:43 UTC
(In reply to comment #20)
> Created attachment 639791 [details]
> [18.26] ValueError: ('invalid size specification', '-0.4 mb')
...
This was identified as a duplicate.

Comment 22 Adam Williamson 2012-11-07 08:10:59 UTC
Steve, do you still have the logs from this test, or can you reproduce it? If so, could you attach them? It would really help. Thanks!

Comment 23 Steve Tyler 2012-11-07 12:43:31 UTC
Comment 20 is an attachment comment.

Suggestion: Log a timestamp with the traceback itself:

22:41:26,945 anaconda 18.26 exception report
^^^^^^^^^^^^
Traceback (most recent call first):
...

Comment 24 Adam Williamson 2012-11-07 20:54:11 UTC
Oh right, sorry, it has all the logs in it. Missed that. thanks!

Comment 25 Fedora End Of Life 2013-12-21 09:03:49 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 26 Fedora End Of Life 2014-02-05 12:29:03 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.